Loading...
Searching...
No Matches
QXmppTrustMemoryStorage Class Reference

The QXmppTrustMemoryStorage class stores trust data for end-to-end encryption in the memory. More...

Inheritance diagram for QXmppTrustMemoryStorage:
[legend]
Collaboration diagram for QXmppTrustMemoryStorage:
[legend]

## Public Member Functions

| QXmppTrustMemoryStorage ()
Public Member Functions inherited from QXmppTrustStorage
virtual QXmppTask< void > | setSecurityPolicy (const QString &encryption, QXmpp::TrustSecurityPolicy securityPolicy)=0
virtual QXmppTask< void > | resetSecurityPolicy (const QString &encryption)=0
virtual QXmppTask< QXmpp::TrustSecurityPolicy > | securityPolicy (const QString &encryption)=0
virtual QXmppTask< void > | setOwnKey (const QString &encryption, const QByteArray &keyId)=0
virtual QXmppTask< void > | resetOwnKey (const QString &encryption)=0
virtual QXmppTask< QByteArray > | ownKey (const QString &encryption)=0
virtual QXmppTask< void > | addKeys (const QString &encryption, const QString &keyOwnerJid, const QList< QByteArray > &keyIds, QXmpp::TrustLevel trustLevel=QXmpp::TrustLevel::AutomaticallyDistrusted)=0
virtual QXmppTask< void > | removeKeys (const QString &encryption, const QList< QByteArray > &keyIds)=0
virtual QXmppTask< void > | removeKeys (const QString &encryption, const QString &keyOwnerJid)=0
virtual QXmppTask< void > | removeKeys (const QString &encryption)=0
virtual QXmppTask< QHash< QXmpp::TrustLevel, QMultiHash< QString, QByteArray > > > | keys (const QString &encryption, QXmpp::TrustLevels trustLevels={})=0
virtual QXmppTask< QHash< QString, QHash< QByteArray, QXmpp::TrustLevel > > > | keys (const QString &encryption, const QList< QString > &keyOwnerJids, QXmpp::TrustLevels trustLevels={})=0
virtual QXmppTask< bool > | hasKey (const QString &encryption, const QString &keyOwnerJid, QXmpp::TrustLevels trustLevels)=0
virtual QXmppTask< QHash< QString, QMultiHash< QString, QByteArray > > > | setTrustLevel (const QString &encryption, const QMultiHash< QString, QByteArray > &keyIds, QXmpp::TrustLevel trustLevel)=0
virtual QXmppTask< QHash< QString, QMultiHash< QString, QByteArray > > > | setTrustLevel (const QString &encryption, const QList< QString > &keyOwnerJids, QXmpp::TrustLevel oldTrustLevel, QXmpp::TrustLevel newTrustLevel)=0
virtual QXmppTask< QXmpp::TrustLevel > | trustLevel (const QString &encryption, const QString &keyOwnerJid, const QByteArray &keyId)=0
virtual QXmppTask< void > | resetAll (const QString &encryption)=0

## Detailed Description

The QXmppTrustMemoryStorage class stores trust data for end-to-end encryption in the memory.

Warning
  THIS API IS NOT FINALIZED YET!

Since
  QXmpp 1.5

## Constructor & Destructor Documentation

## QXmppTrustMemoryStorage()

QXmppTrustMemoryStorage::QXmppTrustMemoryStorage | ( |  | ) |

Constructs a trust memory storage.

The documentation for this class was generated from the following files:

- QXmppTrustMemoryStorage.h
- QXmppTrustMemoryStorage.cpp